<?php

class views_javascript_random_views_handler_sort_js_random extends views_handler_sort {
  /**
   * Called to add the sort to a query.
   */
  function query() {
    $this->options['client_node_count'];
    global $db_type;
    switch ($db_type) {
      case 'mysql':
      case 'mysqli':
        $formula = 'RAND()';
        break;
      case 'pgsql':
        $formula = 'RANDOM()';
        break;
    }
    if (!empty($formula)) {
      $this->query->add_orderby(NULL, $formula, $this->options['order'], '_' . $this->field);
    }
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['order']['#access'] = FALSE;

    $form['client_node_count'] = array(
      '#type' => 'textfield',
      '#title' => t('Number of nodes to grab'),
      '#description' => t('Needs to be a number'),
      '#default_value' => $this->options['client_node_count'],
    );
  }

  function option_definition() {
    $options = parent::option_definition();

    $options['client_node_count'] = array('default' => 25);

    return $options;
  }
}
